/*
 * MultiplicationEquationAction.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.23
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;


public class MultiplicationEquationAction extends EquationAction
{
	
	public MultiplicationEquationAction(AbstractEquationElement first, AbstractEquationElement second)
	{
		super(first, second);
	}
	
	public double calculate()
	{
		return mFirst.calculate()*mSecond.calculate();
	}
	
	public String toString()
	{
		return "("+getFirst().toString()+"*"+getSecond().toString()+")";
	}
}
